<template>
  <div>
    <app-multilang-string v-if="currentGroup" :str="currentGroup.title"/>
  </div>
</template>

<script setup lang="ts">
  import { useRestaurantMenuGroups } from '~/composable/restaurant/useRestaurantMenuGroups';

  const props = defineProps({
    groupId: {
      type: Number,
      required: true,
    }
  })

  const {menuGroupsById} = useRestaurantMenuGroups()
  const currentGroup = computed(() => menuGroupsById.value.get(props.groupId))
</script>